# -------- interconnect selection vars ------------------------
# Historically we used to just have one main variable a user
# could set for each interconnect, so for uDAPL there would be 
#   MPI_ICLIB_UDAPL
# and if the "libdat.so" we want to dlopen wasn't configured into
# your search path with /etc/ld.so.conf or similar, then you
# needed to set our MPI_ICLIB_UDAPL to the full path of your
# libdat.so so we could find it.
#
# Now we allow a collection of such variables with any
# suffix you add to the MPI_IC_SUFFIXES list.  We walk
# through the list trying each setting till one works.
# You can now set the "ICLIB" variable, like MPI_ICLIB_GM__GM_MAIN
# for example, and an "ICMOD" variable.
#
# The "ICMOD" variable is required.  The output of
# lsmod is greped for the given pattern, to determine
# at runtime if the specified interconnect is really
# running or not.  If you have a system for which no
# "ICMOD" setting is appropriate, you could specify
# "^" for the pattern to essentially disable that check.
#

MPI_IC_ORDER = "$MPI_IC_ORDER:ibal:tcp"
MPI_IC_SUFFIXES =              \
        IBAL_MAIN IBAL_MAIN2

# -------- IBAL ------------------------

# the expected way to get IBV
MPI_ICLIB_IBAL__IBAL_MAIN = ibal.dll
MPI_ICMOD_IBAL__IBAL_MAIN = "^ipoib "

# and a similar version that uses the 32-bit version
MPI_ICLIB_IBAL__IBAL_MAIN2 = ibal32.dll
MPI_ICMOD_IBAL__IBAL_MAIN2 = "^ipoib "

# -------- end of interconnect vars ------------------------

# Disabling one of the collective plugins by default:
PCMPI_IGNORE_002_007_001 = 1

# In the past, we would print warnings if a user gave
# multiple conflicting FOO=BAR settings for a single
# variable.  Not that there's anything inherently wrong
# with doing that, just we figured they would like to
# know when they're overwriting things so they could
# make sure they're really doing what they intended.
# But now with so much here in hpmpi.conf, the odds of
# having multiple settings in normal usage is too high
# to have all those verbose messages.  But you can still
# get them if you want:

MPI_WARN_VAROVERWRITE = 0

# -------- Torus cluster settings -------------

# This will enable the proper Torus-enableing
# settings for a Torus cluster.  Turned off
# by default, please uncomment this line for
# a Torus configured cluster.
#
# NOTE: This is for future products.  Windows does not
# yet support Torus.
#
# PCMPI_IB_DYNAMIC_SL = 1


